> For the complete documentation index, see [llms.txt](https://docs.sprinto.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sprinto.com/monitors/cloud-and-infrastructure-monitoring/gcp/how-to-resolve-sprinto-check-to-restrict-anonymous-or-public-access-to-gcp-bigquery-datasets.md).

# How to resolve Sprinto check to restrict anonymous or public access to GCP BigQuery Datasets

### About:

Sprinto check: Ensure That BigQuery Datasets Are Not Anonymously or Publicly Accessible

The above-mentioned sprinto check verifies that the GCP BigQuery Datasets are not accessible to anonymous or public internet. &#x20;

### Purpose:

The purpose of this check is to enforce the security of your BigQuery datasets by ensuring they are not anonymously or publicly accessible. Unauthorized access to datasets can lead to data breaches, privacy violations, and other security risks. By conducting this check, you can verify that appropriate access controls are in place, mitigating the potential for unauthorized data access or manipulation.

### How to resolve this check:

Follow the below applicable steps to resolve this check:

#### Before you begin

* Ensure you have the administrator privileges on the GCP account you wish to make the configuration changes.

#### Updating via. GCP control panel

1. Log in to the [GCP Console](https://www.google.com/aclk?sa=l\&ai=DChcSEwiF9KiynaGGAxXzD3sHHfo_AqQYABAAGgJ0bQ\&ase=2\&gclid=CjwKCAjwr7ayBhAPEiwA6EIGxBTSDqgsrAaUqvDOkFoV5sRkKS_zlPBRVb69aurHqPh3Y1HLq6WloBoC92kQAvD_BwE\&sig=AOD64_2UH0hiRENJvfwrmW-mqc7-0vPq1A\&q\&nis=4\&adurl\&ved=2ahUKEwjNy6KynaGGAxXCa_UHHbSMB50Q0Qx6BAgGEAE) using your credentials.
2. Navigate to[ the BigQuery](https://console.cloud.google.com/bigquery) service.
3. Select your desired dataset under Resources.
4. Click the Share option, and select the Permission tab.
5. Review each added role for permission.
6. Click the delete icon followed by Remove from the pop-up window for the following roles:
   * allUsers
   * allAuthenticatedUsers

Sprinto detects the configuration change, and set the check status to “Passing.”

Contact Sprinto support if you have any queries related to the check or need assistance.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sprinto.com/monitors/cloud-and-infrastructure-monitoring/gcp/how-to-resolve-sprinto-check-to-restrict-anonymous-or-public-access-to-gcp-bigquery-datasets.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
